Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061607 - [abrt] evolution: build_tree(): evolution killed by SIGSEGV
Summary: [abrt] evolution: build_tree(): evolution killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2b47002c638fdc73522a4018772...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 08:09 UTC by Simone Pieri
Modified: 2015-06-29 15:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:00:50 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details
File: cgroup (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details
File: core_backtrace (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details
File: dso_list (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details
File: environ (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details
File: exploitable (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details
File: limits (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details
File: maps (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details
File: open_fds (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details
File: proc_pid_status (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details
File: var_log_messages (deleted)
2014-02-05 08:10 UTC, Simone Pieri
no flags Details

Description Simone Pieri 2014-02-05 08:09:55 UTC
Version-Release number of selected component:
evolution-3.10.3-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /bin/evolution
crash_function: build_tree
executable:     /usr/bin/evolution
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 build_tree at message-list.c:3856
 #1 message_list_regen_done_cb at message-list.c:5587
 #2 g_simple_async_result_complete at gsimpleasyncresult.c:777
 #3 complete_in_idle_cb_for_thread at gsimpleasyncresult.c:845
 #8 gtk_main at gtkmain.c:1158

Comment 1 Simone Pieri 2014-02-05 08:10:00 UTC
Created attachment 859528 [details]
File: backtrace

Comment 2 Simone Pieri 2014-02-05 08:10:02 UTC
Created attachment 859529 [details]
File: cgroup

Comment 3 Simone Pieri 2014-02-05 08:10:05 UTC
Created attachment 859530 [details]
File: core_backtrace

Comment 4 Simone Pieri 2014-02-05 08:10:07 UTC
Created attachment 859531 [details]
File: dso_list

Comment 5 Simone Pieri 2014-02-05 08:10:09 UTC
Created attachment 859532 [details]
File: environ

Comment 6 Simone Pieri 2014-02-05 08:10:12 UTC
Created attachment 859533 [details]
File: exploitable

Comment 7 Simone Pieri 2014-02-05 08:10:14 UTC
Created attachment 859534 [details]
File: limits

Comment 8 Simone Pieri 2014-02-05 08:10:17 UTC
Created attachment 859535 [details]
File: maps

Comment 9 Simone Pieri 2014-02-05 08:10:19 UTC
Created attachment 859536 [details]
File: open_fds

Comment 10 Simone Pieri 2014-02-05 08:10:22 UTC
Created attachment 859537 [details]
File: proc_pid_status

Comment 11 Simone Pieri 2014-02-05 08:10:24 UTC
Created attachment 859538 [details]
File: var_log_messages

Comment 12 Milan Crha 2014-02-07 08:34:36 UTC
Thanks for a bug report. I'm wondering how much this is related to
your bug #1061043, because this seems to me being caused by a similar issue, with an invalid 'folder' pointer.

Comment 13 Fedora Admin XMLRPC Client 2014-09-04 14:30:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 14 Fedora End Of Life 2015-05-29 10:48:59 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 15:00:50 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.